package bunyan.blocks;

import bunyan.api.Direction;

public class WideLogBarkOnBottom extends WideLogBarkOnTop
{
    public WideLogBarkOnBottom(int var1)
    {
        super(var1);
    }

    public int getTextureOffsetFromFacingSideAndMetadata(Direction var1, Direction var2, int var3)
    {
        byte var4 = 0;
        byte var5 = 1;

        if (var2 == Direction.UP)
        {
            var4 = 3;
        }
        else if (var2 != Direction.DOWN)
        {
            if (var2 == var1.rightSide())
            {
                var5 = 0;
            }
            else if (var2 == var1)
            {
                var4 = 2;
                var5 = 0;
            }
            else if (var2 == var1.oppositeSide())
            {
                var4 = 2;
            }
            else
            {
                var4 = 3;
            }
        }

        int var6 = getDataFromMetadata(var3);
        return var4 * 16 + var5 + var6 * 2;
    }
}
